<?php
/**
 * Sales report email
 *
 * @package WC_Sales_Report_Email/Templates
 * @version 1.3.0
 */

defined( 'ABSPATH' ) || exit;

/*
 * @hooked WC_Emails::email_header() Output the email header
 */
do_action( 'woocommerce_email_header', $email_heading, $email ); ?>

<p>
	<?php
	echo esc_html(
		sprintf(
			/* translators: %s email report interval */
			__( 'Hi there. Please find your %s sales report below.', 'woocommerce-sales-report-email' ),
			$interval
		)
	);
	?>
</p>

<table cellspacing="0" cellpadding="6" style="width: 100%; border: 1px solid #eee;" border="1" bordercolor="#eee">
	<tbody>
	<?php
	foreach ( $rows as $row ) {
		?>
		<tr>
			<td style="font-weight: bold;width: 30%"><?php echo esc_html( $row->get_label() ); ?></td>
			<td><?php echo wp_kses_post( $row->get_value() ); ?></td>
		</tr>
		<?php
	}
	?>
	</tbody>
</table>

<?php
/*
 * @hooked WC_Emails::email_footer() Output the email footer
 */
do_action( 'woocommerce_email_footer', $email );
